class ApiConfig {
  String url;
  bool debugMode;
  bool encrypt;
  final String publicKey;
  final String secretKey;
  final Map<String, dynamic> defaultParameters;

  ApiConfig(this.url,
      {this.publicKey,
      this.secretKey,
      this.encrypt = false,
      this.defaultParameters = const {},
      this.debugMode = false});

  @override
  String toString() {
    return {
      "url": url,
      "encrypt": encrypt,
      "debugMode": debugMode,
      "publicKey": publicKey,
      "secretKey": secretKey,
      "defaultParameters": defaultParameters
    }.toString();
  }
}
